Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0019176
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajorhave not tried2011-11-24 16:042011-12-01 10:37
ReporterrgorisView Statuspublic 
Assigned Tomtaal 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision75d0f48b9623
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0019176: Grid editing problem

DescriptionWhen creating lines for a sales order, after having finished the first line, the automatically added second line starts with errors.
Steps To ReproduceCreate header
Create (in grid) a first line. Enter to finish it, wait for 2nd line to appear.
All in red.
TagsNo tags attached.
Attached Filespng file icon Grid-problem.PNG [^] (117,821 bytes) 2011-11-24 16:04

- Relationships Relation Graph ] Dependency Graph ]
causes defect 00284693.0PR15Q2 closedAugustoMauch It is possible to save a masked string with incorrect length in grid view 

-  Notes
(0043583)
hgbot (developer)
2011-11-30 14:31

Repository: erp/devel/pi
Changeset: 75d0f48b96239eaf93fce90f4eb78f039102d432
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Wed Nov 30 14:29:38 2011 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/75d0f48b96239eaf93fce90f4eb78f039102d432 [^]

Fixes issue 19176: Grid editing problem
While the editor form is shown in the grid all kinds of focus/blur events happen together with validation, this results in redraws, the code change prevents the validation and
resulting redraws while the editor is being shown

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-number.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-view-grid.js
M modules/org.openbravo.userinterface.smartclient/web/org.openbravo.userinterface.smartclient/js/ob-smartclient.js
---
(0043614)
hudsonbot (developer)
2011-11-30 22:16

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/598bceb6e1a9 [^]

Maturity status: Test
(0043628)
iperdomo (developer)
2011-12-01 10:37

Tested in pi @ rev b463f8dbd0d1

From the commit message:

"While the editor form is shown in the grid all kinds of focus/blur events happen together with validation, this results in redraws, the code change prevents the validation and resulting redraws while the editor is being shown"

Using the flag _showingEditor prevents validation and redraws.

- Issue History
Date Modified Username Field Change
2011-11-24 16:04 rgoris New Issue
2011-11-24 16:04 rgoris Assigned To => mtaal
2011-11-24 16:04 rgoris File Added: Grid-problem.PNG
2011-11-24 16:04 rgoris Modules => Core
2011-11-30 14:31 hgbot Checkin
2011-11-30 14:31 hgbot Note Added: 0043583
2011-11-30 14:31 hgbot Status new => resolved
2011-11-30 14:31 hgbot Resolution open => fixed
2011-11-30 14:31 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/75d0f48b96239eaf93fce90f4eb78f039102d432 [^]
2011-11-30 22:16 hudsonbot Checkin
2011-11-30 22:16 hudsonbot Note Added: 0043614
2011-12-01 10:37 iperdomo Note Added: 0043628
2011-12-01 10:37 iperdomo Status resolved => closed
2014-12-23 12:31 AugustoMauch Relationship added causes 0028469


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker